---------------------
PatchSet 6079 
Date: 2007/11/05 17:51:27
Author: rousskov
Branch: ssl-bump
Tag: (none) 
Log:
Use newly added ACLChecklist::fd() method to get to the file descriptor,
to get to the SSL structure.

Members: 
	src/ACLCertificate.cc:1.2->1.2.48.1 

Index: squid3/src/ACLCertificate.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLCertificate.cc,v
retrieving revision 1.2
retrieving revision 1.2.48.1
diff -u -r1.2 -r1.2.48.1
--- squid3/src/ACLCertificate.cc	4 Mar 2003 03:14:37 -0000	1.2
+++ squid3/src/ACLCertificate.cc	5 Nov 2007 17:51:27 -0000	1.2.48.1
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLCertificate.cc,v 1.2 2003/03/04 03:14:37 squidadm Exp $
+ * $Id: ACLCertificate.cc,v 1.2.48.1 2007/11/05 17:51:27 rousskov Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -49,7 +49,9 @@
 int
 ACLCertificateStrategy::match (ACLData<MatchType> * &data, ACLChecklist *checklist)
 {
-    SSL *ssl = fd_table[checklist->conn()->fd].ssl;
+    const int fd = checklist->fd();
+    const bool goodDescriptor = 0 <= fd && fd <= Biggest_FD;
+    SSL *ssl = goodDescriptor ? fd_table[fd].ssl : 0;
     return data->match (ssl);
 }
 
